POST
/v3-node-0/smartaccount/self-depositDeposit account tokens into a vault
Moves an asset held by a deployed smart account into its vault, authorised by a user key registered in that account
Base URL
https://api.storm.tgRequest body · required
Signed self-deposit intent
messagestringrequiredExample:
stringpublicKeystringrequiredExample:
stringsignaturestringrequiredExample:
stringsmartAccountstringrequiredExample:
string{
"message": "string",
"publicKey": "string",
"signature": "string",
"smartAccount": "string"
}Examples
curl --request POST 'https://api.storm.tg/v3-node-0/smartaccount/self-deposit' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
"message": "string",
"publicKey": "string",
"signature": "string",
"smartAccount": "string"
}'const response = await fetch("https://api.storm.tg/v3-node-0/smartaccount/self-deposit", {
method: "POST",
headers: {
"Accept": "application/json",
"Content-Type": "application/json"
},
body: "{\n \"message\": \"string\",\n \"publicKey\": \"string\",\n \"signature\": \"string\",\n \"smartAccount\": \"string\"\n}",
});
console.log(response.status, await response.text());import requests
response = requests.request(
"POST",
"https://api.storm.tg/v3-node-0/smartaccount/self-deposit",
headers={"Accept":"application/json","Content-Type":"application/json"},
data="{\n \"message\": \"string\",\n \"publicKey\": \"string\",\n \"signature\": \"string\",\n \"smartAccount\": \"string\"\n}",
timeout=30,
)
print(response.status_code, response.text)Responses
200OKapplication/json
amountstringoptionalExample:
stringcreatedAtintegeroptionalExample:
0externalQueryIdstringoptionalExample:
stringokbooleanoptionalExample:
truequeryIdintegeroptionalExample:
0replaySlotintegeroptionalExample:
0txHashstringoptionalExample:
string{
"amount": "string",
"createdAt": 0,
"externalQueryId": "string",
"ok": true,
"queryId": 0,
"replaySlot": 0,
"txHash": "string"
}400Bad Requestapplication/json
codestringoptionalExample:
stringdetailsobjectoptionalAdditional properties
string
View example
{
"key": "string"
}errorstringoptionalExample:
stringexternalQueryIdstringoptionalExample:
string{
"code": "string",
"details": {
"key": "string"
},
"error": "string",
"externalQueryId": "string"
}409Conflictapplication/json
codestringoptionalExample:
stringdetailsobjectoptionalAdditional properties
string
View example
{
"key": "string"
}errorstringoptionalExample:
stringexternalQueryIdstringoptionalExample:
string{
"code": "string",
"details": {
"key": "string"
},
"error": "string",
"externalQueryId": "string"
}500Internal Server Errorapplication/json
codestringoptionalExample:
stringdetailsobjectoptionalAdditional properties
string
View example
{
"key": "string"
}errorstringoptionalExample:
stringexternalQueryIdstringoptionalExample:
string{
"code": "string",
"details": {
"key": "string"
},
"error": "string",
"externalQueryId": "string"
}502Bad Gatewayapplication/json
codestringoptionalExample:
stringdetailsobjectoptionalAdditional properties
string
View example
{
"key": "string"
}errorstringoptionalExample:
stringexternalQueryIdstringoptionalExample:
string{
"code": "string",
"details": {
"key": "string"
},
"error": "string",
"externalQueryId": "string"
}